Page MenuHomePhabricator

Fix some integration tests
Closed, ResolvedPublic

Description

Some cirrus integration tests are randomly failing but recently one is consistently failing.

  • clean_api_update_deleted_redirects_are_removed_from_the_index fails consistently since few days
  • clean_api_prefix_redirect_accent_squashing_accented_namespace_suggest_search_prefers_main_namespace_over_crossns_redirects fails randomly since the beginning

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : masterFix integration tests for V => Venom > V:N

Event Timeline

dcausse created this task.Jul 12 2018, 1:50 PM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptJul 12 2018, 1:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

clean_api_update_deleted_redirects_are_removed_from_the_index can be explained because of https://gerrit.wikimedia.org/r/c/mediawiki/core/+/445581

dcausse added a comment.EditedJul 13 2018, 2:57 PM

clean_api_prefix_redirect_accent_squashing_accented_namespace_suggest_search_prefers_main_namespace_over_crossns_redirects seems due to a instability in the scoring function:

[2018-07-13 14:20:41+00:00] AssertionError: expected 'V:N' to equal 'Venom'
[2018-07-13 14:20:41+00:00] Last Api: http://cirrustest-cirrus-browser-bot.wmflabs.org/w/api.php?format=json&action=opensearch&search=V&cirrusUseCompletionSuggester=yes&limit=max
[2018-07-13 14:20:41+00:00] Extra: ["V",["V:N","Venom"],["",""],["http://cirrustest-cirrus-browser-bot.wmflabs.org/wiki/V:N","http://cirrustest-cirrus-browser-bot.wmflabs.org/wiki/Venom"]]

Both V:N and Venom appears in the resultset but in the wrong order, obviously testing locally I can't figure out what's happening. The comp suggest scores is 11627 for V:N and Venom 1216141 (100 times more). I wonder what situation causes these scores to change so much when the test fails...

Change 446857 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Fix integration for V => Venom > V:N

https://gerrit.wikimedia.org/r/446857

Change 446857 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Fix integration tests for V => Venom > V:N

https://gerrit.wikimedia.org/r/446857

debt closed this task as Resolved.Jul 31 2018, 5:44 PM